petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectSAWsTakeAccess

Take access of the data fields that have been published to SAWs so they may be changed locally

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSAWsTakeAccess(PetscObject obj)

Collective on PetscObject

### Input Parameters

obj -the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);

### See Also

PetscObjectSetName(), PetscObjectSAWsViewOff(), PetscObjectSAWsGrantAccess()

Level:advanced
Location:src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages